### R code from vignette source 'ldDesign.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: preliminaries
###################################################
options(digits=4, width=60)


###################################################
### code chunk number 2: ldDesign.Rnw:207-209
###################################################
library(ldDesign) 
args(ld.power) 


###################################################
### code chunk number 3: ldDesign.Rnw:293-294
###################################################
ld.power(B=1e6, h2=0.05, D=0.1, p=0.3, q=0.2, n=1000, phi=0)


###################################################
### code chunk number 4: ldDesign.Rnw:301-302
###################################################
ld.power(B=1e6, h2=0.05, D=0.1, p=0.3, q=0.2, n=1000, phi=1)


###################################################
### code chunk number 5: ldDesign.Rnw:306-308
###################################################
ld.design(B=1e6, h2=0.05, D=0.1, p=0.3, q=0.2, phi=1, power=0.8, 
          nmin=1730, nmax=4620, ninterp=20, print.it=TRUE)


###################################################
### code chunk number 6: ldDesign.Rnw:330-332
###################################################
library(ldDesign)
args(cc.power)


###################################################
### code chunk number 7: ldDesign.Rnw:357-359
###################################################
cc.power(B=1e6, OR=1.6, D=0.1, p=0.3, q=0.2, baseline.risk=0.1, 
         n.cases=1000, n.controls=1000, model="additive", a=1)


###################################################
### code chunk number 8: ldDesign.Rnw:366-370
###################################################
cc.power(B=1e6, OR=1.6, D=0.1, p=0.3, q=0.2, baseline.risk=0.1, 
         n.cases=1000*seq(2,12,by=2), 
         n.controls=1000*seq(2,12,by=2),
         model="additive", a=1)


###################################################
### code chunk number 9: ldDesign.Rnw:381-385
###################################################
cc.design(B=1e6, OR=2.0, D=0.1, p=0.3, q=0.2, power=0.9, 
          baseline.risk=0.1, n.cases=2000, n.controls=3000, 
          model="additive", a=1, pmin=0.1, pmax=0.99, 
          ninterp=20, print.power.curve=TRUE)


###################################################
### code chunk number 10: ldDesign.Rnw:389-392
###################################################
cc.design(B=1e6, OR=c(1.5,1.5), D=0.1, p=0.3, q=0.2, power=0.9, 
          baseline.risk=0.1, n.cases=2000, n.controls=3000, 
          model="general", a=1, print.power.curve=FALSE)


###################################################
### code chunk number 11: ldDesign.Rnw:397-400
###################################################
cc.power(B=1e6, OR=1.6, D=0.1, p=0.3, q=0.2, baseline.risk=0.1, 
         n.cases=1000, n.controls=1000, model="additive", a=1,
         show.attributes=TRUE)


###################################################
### code chunk number 12: ldDesign.Rnw:549-553
###################################################
cc.design(B=1e6, OR=3, Dprime=0.5, p=0.1, q=0.05, 
          baseline.risk=0.1, n.cases=1000, n.controls=1000,
          model="recessive", a=1, power=0.8, 
          print.power.curve=FALSE) 


###################################################
### code chunk number 13: ldDesign.Rnw:566-568
###################################################
# power for a well tagged locus
ld.power(B=5e5, h2=0.001, D=0.25, p=0.5, q=0.5, n=13665, phi=1) 


###################################################
### code chunk number 14: ldDesign.Rnw:580-581
###################################################
calc.Balpha.ABF(alpha=5e-7, n=13665, a=1)


###################################################
### code chunk number 15: ldDesign.Rnw:589-598
###################################################
# sample size for a well tagged locus
ld.design(B=1e5, h2=0.001, D=0.25, p=0.5, q=0.5, power=0.8, 
          phi=1) 
# sample size for a less well tagged locus, D=Dmax, MAF=0.05
ld.design(B=1e5, h2=0.001, D=0.045, p=0.1, q=0.05, power=0.8, 
          phi=1, nmin=50000, nmax=200000)
# sample size for a poorly tagged locus, D=Dmax/2, MAF=0.05
ld.design(B=1e5, h2=0.001, D=0.045/2, p=0.1, q=0.05, power=0.8, 
          phi=1, nmin=50000, nmax=500000)


###################################################
### code chunk number 16: ldDesign.Rnw:736-738
###################################################
calc.Balpha.ABF(alpha=5e-8, n=13665, a=1)
calc.Balpha.ABF(alpha=5e-8, n=100000, a=1)


###################################################
### code chunk number 17: ldDesign.Rnw:763-767
###################################################
library(nlme)
data(Oats)
summary(aov(yield ~ nitro* Variety + Error(Block), data=Oats))
with(Oats, table(Variety))


###################################################
### code chunk number 18: ldDesign.Rnw:772-773
###################################################
SS.oneway.bf(group.sizes=c(24,24,24), Fstat=3.73)


###################################################
### code chunk number 19: ldDesign.Rnw:794-795
###################################################
oneway.bf.alpha(n=72, group.sizes=c(24,24,24), alpha=c(0.05,0.01,0.001))


###################################################
### code chunk number 20: ldDesign.Rnw:804-807
###################################################
calc.alphaB.ABF(B=1000, n=20, a=1, alpha.start=1e-3)
calc.alphaB.ABF(B=1000, n=100, a=1, alpha.start=1e-3)
calc.alphaB.ABF(B=1000, n=1000, a=1, alpha.start=1e-3)


###################################################
### code chunk number 21: ldDesign.Rnw:821-823
###################################################
calc.alphaB.ABF(B=1000, n=1000, a=1, alpha.start=6e-6,
                reduction.factor=1.05) 


###################################################
### code chunk number 22: ldDesign.Rnw:833-835
###################################################
calc.Balpha.ABF(alpha=0.01, n=100, a=1)
calc.alphaB.ABF(B=2.657, n=100, a=1, alpha.start=0.02)


